# Auto Stacked Product  

The Sorter will not pick product from assembling machines, until it has 4 products. Then the sorter will output them as a 4-stacked (the number "4": depends on the tech level, maybe 3 or 2 or 1) item into the belt.  Also works on Smelter, Chemical plant, Refinery, Matrix Lab (when produce matrix mode), Collider. Does not affect the production speed.

Note that if your "Logistics Station intergrated logistics" technology is not level 3 (max level), the output stack size will be lower.    Lv0: no stack;    Lv1: 2stack;    Lv2: 3stack;    Lv3: 4stack.    Just the same as the logistics station's cargo max output stack.

You can set the IgnoreStackTechLevel to true in the config file. Then the output stack count will always be 4, regardless of the tech level.


### Installation (If manually)

1. Install BepInEx.    
2. Drag AutoStackedProduct.dll into "Dyson Sphere Program/BepInEx/plugins/"  

# 产物自动堆叠  

分拣器会在制造台的产物够4个时一次性抓取，然后将他们堆叠成单个4堆叠层数的物品放到传送带上（"4": 具体堆叠成几层取决于“运输站集装物流”的科技等级）。对于熔炉、化工厂、精炼厂、研究站（产糖模式）和对撞机同样生效。

注意，如果你的“运输站集装物流”科技不是3级（满级），输出的物品将不是4堆叠的而是更低。 Lv0: 无堆叠;    Lv1: 2堆叠;    Lv2: 3堆叠;    Lv3: 4堆叠.   其实和物流站最大的输出堆叠层数一样。

你可以在config文件里把IgnoreStackTechLevel 设置成true，这样的话输出堆叠就永远是4层，无论科技等级是多少。

### 安装 （如果手动安装）
 
1. 安装 BepInEx框架；    
2. 将 AutoStackedProduct.dll 放入 "Dyson Sphere Program/BepInEx/plugins/"文件夹内。  